Loading...
Searching...
No Matches
Metalink parser

## Data Structures

struct | LrMetalinkHash
struct | LrMetalinkUrl
struct | LrMetalinkAlternate
struct | LrMetalink

## Functions

LrMetalink * | lr_metalink_init (void)
gboolean | lr_metalink_parse_file (LrMetalink *metalink, int fd, const char *filename, LrXmlParserWarningCb warningcb, void *warningcb_data, GError **err)
void | lr_metalink_free (LrMetalink *metalink)

## Detailed Description

## Function Documentation

## lr_metalink_free()

void lr_metalink_free | ( | LrMetalink * | metalink | ) |

Free metalink object and all its content.

Parameters

  metalink | Metalink object.

## lr_metalink_init()

LrMetalink * lr_metalink_init | ( | void |  | ) |

Create new empty metalink object.

Returns
  New metalink object.

## lr_metalink_parse_file()

gboolean lr_metalink_parse_file | ( | LrMetalink * | metalink,
|  | int | fd,
|  | const char * | filename,
|  | LrXmlParserWarningCb | warningcb,
|  | void * | warningcb_data,
|  | GError ** | err )

Parse metalink file.

Parameters

  metalink | Metalink object.
  fd | File descriptor.
  filename | File to look for in metalink file.
  warningcb | LrXmlParserWarningCb function or NULL
  warningcb_data | Warning callback data or NULL
  err | GError **

Returns
  TRUE if everything is ok, FALSE if err is set.